Page MenuHomeVyOS Platform

Add zone option for Cloudflare DDNS
Closed, ResolvedPublicFEATURE REQUEST

Description

I was trying to setup DDNS on Cloudflare on the root of the domain. ie. example.com and it won't properly setup the zone for this. I was able to correct this by manually editing the /etc/ddclient/ddclient.conf file and changing the zone option to match.

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Feature (new functionality)

Event Timeline

@wcktklwn Can you provide vyos config for dynamic service and config ddclient.conf
Which lines do you add manually?

Here is the vyos config.

service cloudflare {
    host-name example.com
    login user@example.com
    password password
}

When it generates the ddclient.conf file it puts in like this,

# DynDNS provider configuration for example.com
protocol=cloudflare,
max-interval=28d,
login=user@example.com,
password='password',
zone=com,
example.com

and I have to modify it to look like this. (only the zone= line is changed)

# DynDNS provider configuration for example.com
protocol=cloudflare,
max-interval=28d,
login=user@example.com,
password='password',
zone=example.com,
example.com
c-po changed the task status from Open to In progress.Feb 10 2020, 7:15 PM
c-po claimed this task.

Unfortunately I have no idea how that zone option works. I'd rather solve this by an automatic code path then specifying it on the commandline (which is now possible).

Can we always assume that:

hostname example.com -> zone example.com
hostname foo.example.com -> zone example.com
hostname bar.foo.example.com -> foo.example.com? or example.com?

Once there is some light in the dark we can probably automate this.

Please test latest rolling so far.

c-po changed the task status from In progress to Needs testing.Feb 13 2020, 7:05 AM
c-po triaged this task as Normal priority.
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
erkin set Issue type to Feature (new functionality).Aug 31 2021, 6:01 PM